rkt - App Container runtime(1)

NAME

rkt-image - Operate on image(s) in the local store

SYNOPSIS

rkt image [command] [flags]

DESCRIPTION

This subcommand operates on image(s) in the local store.

The "cat-manifest", "export", "extract", "render", and "rm" subcommands take the ID or image name to reference images in the local store.

The ID can be specified using the long or short version, i.e. "sha512-78c08a541997", or "sha512-78c08a5419979fff71e615f27aad75b84362a3cd9a13703b9d47ec27d1cfd029".

The image name can be specified including the version tag as stored in the local store, i.e. "quay.io/coreos/etcd:latest", or "quay.io/coreos/etcd:v3.0.13".

The version tag may be left out, i.e. "quay.io/coreos/etcd". In case of ambiguity, the least recently fetched image with this name will be chosen.

OPTIONS

-h, --help[=false]
    help for image

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    print out more debug information to stderr

--dir=/var/lib/rkt
    rkt data directory

--insecure-options=none
    comma-separated list of security features to disable. Allowed values: "none", "image", "tls", "ondisk", "http", "pubkey", "capabilities", "paths", "seccomp", "all-fetch", "all-run", "all"

--local-config=/etc/rkt
    local configuration directory

--system-config=/usr/lib/rkt
    system configuration directory

--trust-keys-from-https[=false]
    automatically trust gpg keys fetched from https

--user-config=
    user configuration directory

SEE ALSO

rkt(1), rkt-image-cat-manifest(1), rkt-image-export(1), rkt-image-extract(1), rkt-image-gc(1), rkt-image-list(1), rkt-image-render(1), rkt-image-rm(1), rkt-image-verify(1)

HISTORY

30-Jan-2018 Auto generated by spf13/cobra